﻿using System;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            Random random = new Random(0);

            int pointCount = 20;

            double[] xValueArray = DataGen.Consecutive(pointCount);
            double[] yValueArray = DataGen.RandomWalk(random, pointCount);
            double[] xErrorArray = DataGen.RandomNormal(random, pointCount, .2);
            double[] yErrorArray = DataGen.RandomNormal(random, pointCount);

            ScatterPlot scatterPlot = plot.AddScatter(xValueArray, yValueArray);

            scatterPlot.LineStyle      = LineStyle.Dot;
            scatterPlot.ErrorLineWidth = 1;
            scatterPlot.ErrorCapSize   = 3;
            scatterPlot.XError         = xErrorArray;
            scatterPlot.YError         = yErrorArray;

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}